Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
+ T +

FBA-XXX Pro by + T +

Recommended Posts

Since I've had quite alot of messages expressing more interest in my build than I expected I thought it best to start another topic rather than keep using the MAMEoX one.

 

Why Pro? Well, since this build uses (and hopefully will continue to be updated with) the newest released romsets, it is perhaps unsuitable for more casual gamers who just want to play the games in any form and don't really care whether their roms are up-to-date or not. I just wanted to call it something that reflected this fact. :P

 

In case anyone needs a reminder of how this differs from the standard version, here's the current list of changes:

 

- Restored original VMM code to fix sound break-up in large games.

 

- Now runs correctly from disc as well as HDD (dats, ini, etc. are now created in TDATA rather than the root directory).

 

- Updated Neo-Geo drivers to use the latest rom dumps.

 

- Updated all CPS2 drivers to use the latest MAME sets and added XOR decryption tables for 19xxa and avspa.

 

- Added drivers for all new CPS2 clone sets from MAME.

 

- Added working driver for SNK Vs. Capcom Super Plus! (svcsplus.zip).

 

- Added drivers for Samurai Shodown V AES Version (samsho5h.zip, samsh5hd.zip)

 

- Added the following new NG clones; jockeygpd, vlinero, svcnd, kof2k3nd

 

- Now supports both xxxxd.zip (encrypted P ROMs, decrypted C/V ROMs) sets as well as xxxxnd.zip (fully decrypted) Neo-Geo sets.

 

- All decrypted Neo-Geo drivers now use an S ROM (speeds up loading a bit).

 

- Added fix to get sound from new MAME kof2001 decrypted M ROM (code by FerchogtX)

 

- Made some changes to the rom loading text. (just says "Loading Game" rather than "don't play unless you own the game etc, etc.").

 

- Fixed a problem with the CPS code in the latest FBA-XXX that was causing some CPS1 games (e.g. Saturday Night Slam Masters) not to work.

 

- Fixed another problem in the new CPS code where playing certain CPS2 games more than once resulted in a black screen. >_

 

- Patched out HW test in Ghouls 'n' Ghosts so it now starts instantly instead of taking forever (code from IQ's forum)

 

- Removed unnecessary VMM code from Cave drivers (possible performance boost?)

 

- Added Fever SOS driver from latest FBA

 

So here's the XBE patch:

http://www.thraxen.com/emu1/fbaxxx_pro_patch.rar

 

This is intended to be applied to the unpatched 06.02.2005 release of FBA-XXX. So basically you just download fbaxxx_06_02_2005.zip from the usual places, replace the included default.ips file with this one, and run patchme!!.bat.

 

Romcenter/ClrMAMEPro DATs for this build here:

http://www.thraxen.com/emu1/fbaxxx_pro_dats.rar

 

*Sourcecode link removed temporarily*

 

Many thanks to Thraxen for hosting the files. :)

 

Have fun.

 

+ T +

Edited by + T +

Share this post


Link to post
Share on other sites

hm.. sorry for bothering you +T+, but....

 

... it looks like your build doesn't use the inis. What i wanna say is, if i replace my old fbaxxx binary with your one.. it simply finds no roms. So i deleted my inis, this should result in an automatic rebuilding, but nothing happens... is your build restricted in the default rom path?

 

Once again sorry for this n00b question, but hey, i have to ask this :P

 

thx Xhor :)

Share this post


Link to post
Share on other sites

woops... ok.. your build checks the ini in the savegmae folder :P... now all my roms are listed.... but hum.. none of them are working anymore... evil, all work fine with my previous build... but your version is complaining about wromg or missing roms...

 

So here's my question: Are your Rom Listings correct?, does this mean that all my roms are non standard or could possible result in bad sound an video data if i play with the old binary and this roms?

 

cheers Xhor :)

Share this post


Link to post
Share on other sites

The majority of the roms my build uses are different from any previous builds. This is because they are more recent releases and more accurate to the data on the original board. Many of the sets are as close as they can be and probably won't change until they are officially supported by MAME.

 

Some older roms can cause noticeable sound or graphics problems, others create glitches that may be barely perceptible, and others still run just as well as the accurate ones. But I don't see the point in using older roms when there are more up-to-date versions available.

 

I would say all roms are 'non-standard' until they are either 100% correct or at least as correct as they can be. The purpose of my build is to allow people to use the most accurate (and therefore IMO best) roms available. :P

Edited by + T +

Share this post


Link to post
Share on other sites

UPDATE: Added drivers for samsho5h and samsh5hd to the build (thanks once again Thraxen :P ). This is the AES home version of samsho5.

Share this post


Link to post
Share on other sites

Thanks -T-!!!!!

 

a few issues im having are :

1. no mappable coin\start buttons (was important for my arcade cab)

2. neo-geo romsets differ greatly (as expected :P )

 

can you leave gogo's sets as they are in Fbaxxx-020105 and still implement the old sound code?

 

that would be best for me :)

 

(i had ALL neogeo working in gogo's sets!!!!)

 

my cab --> (stock photo)

 

http://hardmvs.com/xml/usa/MVS-2-25/MVS-2-25b.jpg

Edited by sammaz

Share this post


Link to post
Share on other sites

not for nothing but most of gogo's drivers needed an update :P

Edited by Prican25

Share this post


Link to post
Share on other sites
Thanks -T-!!!!!

It's + T + :P

 

a few issues im having are :

1. no mappable coin\start buttons (was important for my arcade cab)

This must be something Gogo added to his last release, I'll take a look at the source and see if I can implement it into the build. No promises though. :D

 

can you leave gogo's sets as they are in Fbaxxx-020105 and still implement the old sound code?

Sorry, that would defeat the point of my build. I want to keep things up-to-date with the newest romsets. If you're serious about NG emulation you really should consider updating your sets.

 

Nice cab BTW.

Share this post


Link to post
Share on other sites

UPDATE: Fix - Some drivers were missing the SMA flag causing them to boot incorrectly. (oops!)

Share this post


Link to post
Share on other sites

UPDATE: DATs are now being generated correctly by the emu. An archive containing both Romcenter and ClrMAME Pro DATs for this build can be downloaded here:

 

http://www.thraxen.com/emu1/fbaxxx_pro_dats.rar

 

Also updated the build to fix some inconsistencies between romsets and DATfiles.

Edited by + T +

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...